Subject: Re: [Q]: Newbie question about WinAPI...
From: [email-masked] (Bartlee A. Anderson)

20 Feb 1998 13:58:06 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: Björn Svartengren <[email-masked]>
Cc: GNU-Win32 list <[email-masked]>

If you can't get a book,
and you want api calls, you can check out Jan-Jaap's web page for
an old win32 help file from M$ which contains an early win32 api set of
documentation which may have some errors, but will be a start.

Check out win32 sources, there are a few around the net. Petzold's
examples are out there from win3.1

gcc -c csource.c        ->csource.o
windres res.rc res.o  ->file.o
gcc -o projname csource.o file.o -luser32 -lgdi32
-Wl,--subsystem,windows

Björn Svartengren wrote:
> 
> Hello all!
> 
> Let me just say this straight out... I'm a total newbie to C++ and
> WinAPI...
> Therefor I whould like to use normal C which I know how to handle :)
> Is there anyway of creating windows and using the WinAPI with C?
> If so does anyone have a simple example of how to create a window?
> 
> In other cases please point me to a good newbie guide for WinAPI
> programing :)
> 
> Btw, I just installed Mingw32 and all the extras and tried some basic
> programs and it seems to work fine..
> 
> Cheers,
>  Björn Svartengren
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".